| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
HtmlDialog Class Reference

## Public Member Functions
void | Show ()
void | Hide ()
bool | Exec ()
void | SetUrl (String url)
void | Reload ()
void | SetTitle (String title)
void | Destroy ()
void | SetSize (unsigned int width, unsigned int height)
void | SetResizeable (bool isResizeable)

## Detailed Description

common editor interface HtmlDialog

## Member Function Documentation

## ◆ Destroy()

void HtmlDialog::Destroy | ( |  | ) |

Destroys the html dialog.

Dialogs persist until manually destroyed using this method

## ◆ Exec()

bool HtmlDialog::Exec | ( |  | ) |

Shows the dialog as a modal dialog, blocking until the user closes it.

Returns
  true if the javascript method "GlStudioHtmlDialog.ok()" is called, false if the javascript method "GlStudioHtmlDialog.cancel()" is called, or false if the user closes the dialog

## ◆ Hide()

void HtmlDialog::Hide | ( |  | ) |

Hides the dialog.

## ◆ Reload()

void HtmlDialog::Reload | ( |  | ) |

Reloads the current web page.

## ◆ SetResizeable()

void HtmlDialog::SetResizeable | ( | bool | isResizeable | ) |

Sets whether or not the dialog is resizeable.

Parameters

  isResizeable | if true, the dialog is resizeable, if false, it is not resizeable

## ◆ SetSize()

void HtmlDialog::SetSize | ( | unsigned int | width,
|  | unsigned int | height
| ) |  |

Sets the size of the html dialog.

Parameters

  width | the dialog width
  height | the dialog height

## ◆ SetTitle()

void HtmlDialog::SetTitle | ( | String | title | ) |

Sets the title of the html dialog.

Parameters

  title | the title

## ◆ SetUrl()

void HtmlDialog::SetUrl | ( | String | url | ) |

Sets the url of the web page currently viewed.

Setting the url clears the view and loads the url

Parameters

  url | the url

## ◆ Show()

void HtmlDialog::Show | ( |  | ) |

Shows the dialog as a non-modal dialog.

The documentation for this class was generated from the following file:

- HtmlDialog.i